<script setup>
import { Head, Link , useForm } from '@inertiajs/inertia-vue3';
import JetValidationErrors from '@/Jetstream/ValidationErrors.vue';
import JetCheckbox from '@/Jetstream/Checkbox.vue';


defineProps({
    canLogin: Boolean,
    canRegister: Boolean,
    status: String,
});

const form = useForm({
    email: '',
    password: '',
    remember: false,
});

const submit = () => {
    form.transform(data => ({
        ...data,
        remember: form.remember ? 'on' : '',
    })).post(route('login'), {
        onFinish: () => form.reset('password'),
    });
};

</script>

<template>
    <Head>
        <title>Lovester | Login</title>
    </Head>
    <div class="flex justify-around items-center h-screen">
        <div class="w-1/2">
            <img :src="'/storage/images/logo.png'" alt="Lovester Logo" class="w-full h-auto mx-auto">
        </div>
        <div class="w-1/2">
            <h1 class="text-4xl text-center text-gray-800">
                Welcome to <span class="font-bold">Lovester</span>
            </h1>
            <p class="text-center text-gray-600">
                Dating and social networking
            </p>

            <div class="flex justify-center mt-4">
                <div class="w-1/2">
                    <form class="bg-white shadow-md rounded px-8 pt-6 pb-8 mb-4" @submit.prevent="submit">
                        <JetValidationErrors class="mb-4" />
                        <div v-if="status" class="mb-4 font-medium text-sm text-green-600">
                            {{ status }}
                        </div>
                        <div class="mb-4">
                            <label class="block text-gray-700 text-sm font-bold mb-2" for="email">
                                Email
                            </label>
                            <input
                                class="shadow appearance-none border rounded w-full py-2 px-3 text-gray-700 leading-tight focus:outline-none focus:shadow-outline"
                                id="email"
                                type="email"
                                placeholder="Email"
                                v-model="form.email"
                                required
                                autofocus
                            />
                        </div>
                        <div class="mb-2">
                            <label class="block text-gray-700 text-sm font-bold mb-2" for="password">
                                Password
                            </label>
                            <input
                                class="shadow appearance-none border rounded w-full py-2 px-3 text-gray-700 mb-3 leading-tight focus:outline-none focus:shadow-outline"
                                id="password"
                                type="password"
                                placeholder="Password"
                                v-model="form.password"
                                autocomplete="current-password"
                                required
                            />
                            <p class="text-gray-600 text-xs italic">
                                Please enter your password.
                            </p>
                        </div>

                         <div class="block mb-4">
                            <label class="flex items-center">
                                <JetCheckbox v-model:checked="form.remember" name="remember" />
                                <span class="ml-2 text-sm text-gray-600">Remember me</span>
                            </label>
                        </div>
                        <div class="flex items-center justify-between">
                            <button
                                class="bg-blue-500 hover:bg-blue-700 text-white font-bold py-2 px-4 rounded focus:outline-none focus:shadow-outline"
                                @click="login"
                                :disabled="! canLogin"
                            >
                                Login
                            </button>
                            <a class="inline-block align-baseline font-bold text-sm text-blue-500 hover:text-blue-800"
                                href="/register">
                                Don't have an account?
                            </a>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</template>

<style scoped>

</style>
